summaryrefslogtreecommitdiff
path: root/debian
diff options
context:
space:
mode:
authorGeorgios M. Zarkadas <gz@member.fsf.org>2012-06-14 22:23:14 +0300
committerGeorgios M. Zarkadas <gz@member.fsf.org>2012-06-14 22:23:14 +0300
commit9d2e19bc6d745055e9f444cfd964928edaf7bf86 (patch)
tree11f37d7eb73aae53d256c9f83e01830f7a74dd67 /debian
parente02e0de1c2c3e9358de50e1565123edb1e8418fe (diff)
Treat web server configs as dpkg conffiles: remove the ucf staff, keep
the install lines in Makefile. Also fix corresponding lines in README.
Diffstat (limited to 'debian')
-rw-r--r--debian/README.Debian4
-rwxr-xr-xdebian/postinst18
-rwxr-xr-xdebian/prerm8
3 files changed, 5 insertions, 25 deletions
diff --git a/debian/README.Debian b/debian/README.Debian
index 266c75d..8e444e4 100644
--- a/debian/README.Debian
+++ b/debian/README.Debian
@@ -91,7 +91,7 @@ apache2 : A configuration snippet is installed during dhelp installation.
Action : Uncomment the `Alias /doc/ ...' line inside the installed dhelp
configuration snippet for apache2. Its path depends on apache2
version.
- < 2.4 : /etc/apache2/conf.d/dhelp
+ < 2.4 : /etc/apache2/conf.d/dhelp.conf
>= 2.4 : /etc/apache2/conf-available/dhelp.conf
------------------------------------------------------------------------------
@@ -105,7 +105,7 @@ mini-httpd : Does not support aliases. Action : cf. [1] below.
------------------------------------------------------------------------------
monkey : Does not support aliases.
- [1] Action : Create a symlink named `doc' to `/usr/sharedoc', inside
+ [1] Action : Create a symlink named `doc' to `/usr/share/doc', inside
the web server's document root (Debian default is /var/www).
The command to create it is:
diff --git a/debian/postinst b/debian/postinst
index 8ba7fc3..01d99ac 100755
--- a/debian/postinst
+++ b/debian/postinst
@@ -30,7 +30,6 @@ DHELP_APTHOOK=/etc/apt/apt.conf.d/35dhelp
DHELP_POSTCMD='Dpkg::Post-Invoke {
"if test -x '${DHELP_INDEXER}'; then '${DHELP_INDEXER}'; fi";
};'
-DHELP_CONFDIR=/usr/share/dhelp/config
DHELP_OKINDEX="false"
#### Import Library ####
@@ -164,20 +163,9 @@ configure|abort-upgrade)
"and run 'dhelp_parse -r' to retry the build process."
fi
- # Apache2: copy in both locations, ie for versions < 2.4 and >= 2.4
-
- cp_ucfregister_file dhelp ${DHELP_CONFDIR}/apache-dhelp.conf \
- /etc/apache2/conf.d/dhelp.conf
- cp_ucfregister_file dhelp ${DHELP_CONFDIR}/apache-dhelp.conf \
- /etc/apache2/conf-available/dhelp.conf
-
- try_chconf_apache2 "enable" dhelp || true
-
- # Lighttpd:
-
- cp_ucfregister_file dhelp ${DHELP_CONFDIR}/lighttpd-dhelp.conf \
- /etc/lighttpd/conf-available/95-dhelp.conf
+ # Try to enable web server configs (at most one is expected to succeed)
+ try_chconf_apache2 "enable" dhelp || true
try_chconf_lighttpd "enable" dhelp || true
# Create the full text search index at the end of postinst.
@@ -202,5 +190,5 @@ configure|abort-upgrade)
esac
unset DHELP_INDEXER DHELP_POSTCMD DHELP_APTHOOK || true
-unset DHELP_CONFDIR DHELP_LIBFILE DHELP_OKINDEX || true
+unset DHELP_LIBFILE DHELP_OKINDEX || true
diff --git a/debian/prerm b/debian/prerm
index 0e8e3e4..9c3a31d 100755
--- a/debian/prerm
+++ b/debian/prerm
@@ -99,13 +99,6 @@ esac
case $1 in
purge)
- # Remove and unregister with ucf our web server configuration snippets.
-
- ucf_unregister_file dhelp /etc/apache2/conf.d/dhelp.conf
- ucf_unregister_file dhelp /etc/apache2/conf-available/dhelp.conf
-
- ucf_unregister_file dhelp /etc/lighttpd/conf-available/95-dhelp.conf
-
# Remove and unregister with ucf our dpkg post-invoke hook.
ucf_unregister_file dhelp ${DHELP_APTHOOK}
@@ -115,4 +108,3 @@ purge)
esac
unset DHELP_APTHOOK DHELP_LIBFILE || true
-